Bug 1675135 - switch to kube-system namespace secret monitoring
Summary: switch to kube-system namespace secret monitoring
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-11 20:21 UTC by Gabe Montero
Modified: 2019-06-04 10:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:44:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:44:07 UTC

Description Gabe Montero 2019-02-11 20:21:29 UTC
Testing of rhel based image payloads started this past weekend.

That rhel based image payload content requires the coreos pull secret.

Our recent change to provide the jenkins images via the payload hence not required credentials irrespective of our other rhel images samples still pointing to registry.access.redhat.com (where we are waiting for the SD team to provide TBR credentials in the install)

So we accelerated the move to having credentials out of the box.

Specifically:
- the PR for this copies the coreos pull secret to the openshift namespace
- we now monitor the kube-system namespace for changes to the coreos-pull-secret
- we no longer monitor the operator namespace for secrets
- we updated the directions in the readme accordingly

QE will (once again) have to tweak their test cases accordingly.

Comment 1 Gabe Montero 2019-02-12 17:49:57 UTC
PR https://github.com/openshift/cluster-samples-operator/pull/99 is up

Comment 2 Gabe Montero 2019-02-13 00:25:58 UTC
PR has merged

Comment 3 XiuJuan Wang 2019-02-14 09:32:32 UTC
coreos-pull-secret under kube-system ns could be synced to samples-registry-credentials secret under openshift project.

$oc get clusterversion 
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE     STATUS
version   4.0.0-0.nightly-2019-02-13-204401   True        False         93m       Cluster version is 4.0.0-0.nightly-2019-02-13-204401

Comment 6 errata-xmlrpc 2019-06-04 10:44:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.